#ifndef _DETAILCO2METER_H
#define _DETAILCO2METER_H

#include <QDialog>
#include <QDoubleSpinBox>
#include <QCheckBox>
#include <QComboBox>
#include <QRadioButton>
#include <QLineEdit>
#include <QDialogButtonBox>


namespace Ui {
class DetailCO2meter;
}

class DetailCO2meter : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit DetailCO2meter(int id, QWidget *parent = 0);
    ~DetailCO2meter();

private slots:
    void on_quitButton_clicked();
    void refreshTable(void);
    void code_changed(int val);
    void on_ChartButton_clicked();

public slots:
    void refreshCO2meter(QString);

private:
    Ui::DetailCO2meter *ui;
    QString _node, _alias, _uuid, _beercode, _beername;
    int recno;
};

#endif
